﻿using System.Windows;
using System.Windows.Controls;

namespace ControlTest4
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
        }

        private void btnAdd_Click(object sender, RoutedEventArgs e)
        {
            if (txtAdd.Text == "" || txtAdd.Text == null)
            {
                MessageBox.Show("새로운 항목을 입력해주세요."); 
                return;
            }

            for (int i = 0; i < lstLation.Items.Count; i++)
            {
                if (lstLation.Items[i].ToString() == txtAdd.Text)
                {
                    MessageBox.Show("동일한 항목이 있습니다.");
                    return;
                }
            }

            // 추가(Add)
            lstLation.Items.Add(txtAdd.Text);
            txtAdd.Text = "";
        }

        private void btnRemove_Click(object sender, RoutedEventArgs e)
        {
            if (lstLation.Items.Count > 0)
            {
                // 삭제(Remove)
                int index = lstLation.SelectedIndex;
                lstLation.Items.RemoveAt(index);  // 오브젝트명으로 삭제  
            }
            else
            {
                MessageBox.Show("삭제할 항목이 없습니다.");
                return;
            }
        }

        private void btnClear_Click(object sender, RoutedEventArgs e)
        {
            if (lstLation.Items.Count < 0)
            {
                MessageBox.Show("삭제할 항목이 없습니다.");
                return;
            }

            // 전체삭제
            lstLation.Items.Clear();
        }
    }
}
